<?php
/**
 * Josetta - native multilingual manager for Joomla!
 *
 * @author      Yannick Gaultier
 * @copyright   (c) Yannick Gaultier - Weeblr llc - 2015
 * @package     josetta
 * @license     http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @version     2.3.1.643
 * @date		2015-04-05
 */

// No direct access

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.view');

class JosettaadminViewImports extends ShlMvcView_Base
{
	public function display($tpl = null)
	{
		// version prefix
		$this->joomlaVersionPrefix = JosettaadminHelper_General::getJoomlaVersionPrefix();

		// we'll need some frontend language strings
		JFactory::getLanguage()->load('com_josetta', JPATH_ROOT);

		// add Josetta backend css
		$document = JFactory::getDocument();
		$document->addStyleSheet(JURI::root(true) . '/administrator/components/com_josetta/assets/css/josetta.css');

		// output main title
		if (version_compare(JVERSION, '3.0', 'ge'))
		{
			JToolbarHelper::title('Josetta, ' . JText::_('COM_JOSETTA_TITLE_TRANSLATORS'), 'josetta-main-toolbar');
		}
		else
		{
			$html = '<div class="josetta-main-toolbar"><h2>' . JText::_('COM_JOSETTA_TITLE_TRANSLATORS') . '</h2></div>';
			JFactory::getApplication()->JComponentTitle = $html;
		}

		// version number display
		$this->footerText = JText::sprintf('COM_JOSETTA_FOOTER_' . strtoupper(JosettaadminHelper_General::getVersionType())
				, JosettaadminHelper::getVersion(), date('Y'), JosettaadminHelper_General::getLandingPageUrl());

		// add submenu bar
		JosettaadminHelper::addSubmenu('imports');
		if (version_compare(JVERSION, '3.0', 'ge'))
		{
			$this->sidebar = JHtmlSidebar::render();
			ShlHtmlBs_helper::addBootstrapCss(JFactory::getDocument());
			ShlHtmlBs_helper::addBootstrapJs(JFactory::getDocument());
		}

		// acl to josetta helpscreen
		$canDo = JosettaHelper::getActions();
		if ($canDo->get('core.admin'))
		{
			JToolBarHelper::preferences('com_josetta');
		}

		parent::display('free');
	}
}
